#ifndef INC_EsterelTreeParserTokenTypes_hpp_
#define INC_EsterelTreeParserTokenTypes_hpp_

/* $ANTLR 2.7.2: "staticsemantics.g" -> "EsterelTreeParserTokenTypes.hpp"$ */
struct EsterelTreeParserTokenTypes {
	enum {
		EOF_ = 1,
		SIGS = 4,
		VARS = 5,
		TYPES = 6,
		DECLS = 7,
		TRAPS = 8,
		SEQUENCE = 9,
		ARGS = 10,
		CASE = 11,
		DELAY = 12,
		DOWATCHING = 13,
		DOUPTO = 14,
		CDECL = 15,
		TDECL = 16,
		FDECL = 17,
		PDECL = 18,
		TADECL = 19,
		VDECL = 20,
		SDECL = 21,
		CALL = 22,
		RUN = 23,
		TRENAME = 24,
		CRENAME = 25,
		SRENAME = 26,
		TARENAME = 27,
		FRENAME = 28,
		PRENAME = 29,
		Integer = 30,
		FloatConst = 31,
		DoubleConst = 32,
		LITERAL_module = 33,
		COLON = 34,
		LITERAL_end = 35,
		PERIOD = 36,
		LITERAL_type = 37,
		COMMA = 38,
		SEMICOLON = 39,
		LITERAL_constant = 40,
		EQUALS = 41,
		ID = 42,
		LITERAL_function = 43,
		LPAREN = 44,
		RPAREN = 45,
		LITERAL_procedure = 46,
		LITERAL_task = 47,
		LITERAL_input = 48,
		LITERAL_output = 49,
		LITERAL_inputoutput = 50,
		LITERAL_return = 51,
		COLEQUALS = 52,
		LITERAL_combine = 53,
		LITERAL_with = 54,
		PLUS = 55,
		STAR = 56,
		LITERAL_or = 57,
		LITERAL_and = 58,
		LITERAL_sensor = 59,
		LITERAL_relation = 60,
		IMPLIES = 61,
		POUND = 62,
		LITERAL_not = 63,
		NEQUAL = 64,
		LESSTHAN = 65,
		GREATERTHAN = 66,
		LEQUAL = 67,
		GEQUAL = 68,
		DASH = 69,
		SLASH = 70,
		LITERAL_mod = 71,
		QUESTION = 72,
		LITERAL_pre = 73,
		DQUESTION = 74,
		LITERAL_true = 75,
		LITERAL_false = 76,
		LITERAL_immediate = 77,
		LBRACKET = 78,
		RBRACKET = 79,
		PARALLEL = 80,
		LITERAL_nothing = 81,
		LITERAL_pause = 82,
		LITERAL_halt = 83,
		LITERAL_emit = 84,
		LITERAL_sustain = 85,
		LITERAL_call = 86,
		LITERAL_present = 87,
		LITERAL_then = 88,
		LITERAL_else = 89,
		LITERAL_case = 90,
		LITERAL_do = 91,
		LITERAL_if = 92,
		LITERAL_elsif = 93,
		LITERAL_positive = 94,
		LITERAL_repeat = 95,
		LITERAL_times = 96,
		LITERAL_abort = 97,
		LITERAL_when = 98,
		LITERAL_weak = 99,
		LITERAL_await = 100,
		LITERAL_loop = 101,
		LITERAL_each = 102,
		LITERAL_every = 103,
		LITERAL_suspend = 104,
		LITERAL_trap = 105,
		LITERAL_in = 106,
		LITERAL_exit = 107,
		LITERAL_handle = 108,
		LITERAL_exec = 109,
		LITERAL_signal = 110,
		LITERAL_var = 111,
		LITERAL_run = 112,
		LITERAL_copymodule = 113,
		LITERAL_watching = 114,
		LITERAL_timeout = 115,
		LITERAL_upto = 116,
		StringConstant = 117,
		Number = 118,
		FractionalNumber = 119,
		Exponent = 120,
		Whitespace = 121,
		Newline = 122,
		Comment = 123,
		NULL_TREE_LOOKAHEAD = 3
	};
};
#endif /*INC_EsterelTreeParserTokenTypes_hpp_*/
